## protobuf 2.4.0a-0maemo1

=== debian/changelog ===
protobuf (2.4.0a-0maemo1) unstable; urgency=low

  * Updated to 2.4.0a. 

 -- Takahiro Hashimoto <kenya888.en@gmail.com>  Sun, 17 Apr 2011 02:46:51 +0900
