## protobuf 2.4.1

=== debian/changelog ===
protobuf (2.4.1-1ubuntu2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:31:54 -0700

protobuf (2.4.1-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Switch to dh_python2
    - Fix linking with -lpthread

 -- Michael Terry <mterry@ubuntu.com>  Thu, 01 Dec 2011 16:08:20 -0500

protobuf (2.4.1-1) unstable; urgency=low

  [ Thomas Koch ]
  * remove ant-wrapper, which worked around #491074
  * patch: revert_upstream_issue_388_about_rpath
  * publish maven artifacts (Closes: #644263)

  [ Iustin Pop ]
  * Fix (again) the pkg-test script
  * Update section based on override disparities
  * Imported Upstream version 2.4.1
  * Modify debian/rules directly not via patches
  * Drop .la files per ReleaseGoals/LAFileRemoval

 -- Iustin Pop <iustin@debian.org>  Tue, 08 Nov 2011 07:56:58 +0900
