## protobuf 2.5.0

=== debian/changelog ===
protobuf (2.5.0-9ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Fix linking with -lpthread.
    - Move default-jdk to Build-Depends-Indep, also for cross-build
      compatibility.
    - Remove cpp_message.py from the python bindings package, since it
      requires the C++ module implementation that we're no longer shipping. 

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Feb 2014 12:13:03 +0000

protobuf (2.5.0-9) unstable; urgency=medium

  * Upload to unstable.
  * Officially take over primary maintainership of the package, per Iustin.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 05 Feb 2014 11:37:11 -0500

protobuf (2.5.0-8ubuntu1) trusty; urgency=high

  * Resynchronise with Debian experimental.  Remaining changes:
    - Fix linking with -lpthread.
    - Move default-jdk to Build-Depends-Indep, also for cross-build
      compatibility.
    - Remove cpp_message.py from the python bindings package, since it
      requires the C++ module implementation that we're no longer shipping. 

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Feb 2014 09:30:03 +0000

protobuf (2.5.0-8) experimental; urgency=medium

  * Revert debian/patches/fix-ftbfs-upstream-issue-488.patch to use the
    version of this patch from 2.5.0-5.
  * Build-Depend on g++ >= 4:4.7 to ensure that the *default* compiler is new
    enough to support the gcc __atomic*() built-ins.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 03 Feb 2014 19:42:23 -0500

protobuf (2.5.0-7ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Fix linking with -lpthread
    - Move default-jdk to Build-Depends-Indep, also for cross-build
      compatibility.
    - Remove cpp_message.py from the python bindings package, since it
      requires the C++ module implementation that we're no longer shipping. 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Feb 2014 13:43:06 -0800

protobuf (2.5.0-7) unstable; urgency=medium

  * Upload to unstable.
  * Closes: #736801.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 29 Jan 2014 14:27:42 -0500

protobuf (2.5.0-6) experimental; urgency=medium

  * Use a different approach to fixing the FTBFS caused by upstream bug #488.
  * Revert the Build-Depends on a specific gcc/g++ version.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 26 Jan 2014 23:56:47 -0500

protobuf (2.5.0-5ubuntu2) trusty; urgency=medium

  * Remove cpp_message.py from the python bindings package, since it requires
    the C++ module implementation that we're no longer shipping.
    LP: #1275826.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Feb 2014 20:17:09 +0000

protobuf (2.5.0-5ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Fix linking with -lpthread
    - Move default-jdk to Build-Depends-Indep, also for cross-build
      compatibility.
  * Dropped all other changes, included in Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jan 2014 17:57:39 +0000

protobuf (2.5.0-5) unstable; urgency=medium

  * Upload to unstable.
  * Note that the experimental C++ backend in python-protobuf has been
    disabled.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 25 Jan 2014 16:57:43 -0500

protobuf (2.5.0-4) experimental; urgency=medium

  * Rewrite the platform detection logic in .../platform-macros.h to be more
    tolerant of all Debian architectures.
  * Switch from autotools-dev to dh-autoreconf.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 12 Jan 2014 12:49:50 -0500

protobuf (2.5.0-3) experimental; urgency=medium

  * Fix FTBFS on mips, due to missing detection of that architecture in
    .../platform-macros.h.
  * Fix FTBFS on ia64, powerpc, and sparc, where the default gcc version is
    too old to compile the new __atomic*() intrinsics, by Build-Depending on
    gcc-4.8, g++-4.8.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 11 Jan 2014 17:21:17 -0500

protobuf (2.5.0-2) experimental; urgency=low

  * Fix FTBFS on "unsupported" architectures due to upstream issue 488:
    - https://code.google.com/p/protobuf/issues/detail?id=488
    Patch from Stanislav Ochotnicky (Red Hat).

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 19 Oct 2013 10:42:29 -0400

protobuf (2.5.0-1) experimental; urgency=low

  [ Micah Anderson ]
  * New upstream version. (Closes: #704731.)
  * Update debian/watch.
  * Refresh patches.

  [ Colin Watson ]
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64. (Closes: #725976.)

  [ Steve Langasek ]
  * Don't recommend protobuf-compiler from the bindings, it's not used and
    this doesn't need to be pulled in at runtime. (Closes: #703628.)
  * Mark protobuf-compiler Multi-Arch: foreign; the output of this command
    is architecture-independent source, we don't need the version of the
    compiler to match the target arch.
  * Bump to debhelper compat 9, so that our libs get installed to the
    multiarch locations.
  * Mark the library packages Multi-Arch: same.
  * Fix debian/rules to support cross-building of the python bindings.
  * Build-depend on libpython-dev, not python-dev, for cross-build
    compatibility.
  * (Closes: #726083.)

  [ Robert S. Edmonds ]
  * Upload to experimental.
  * Bump ABI version from 7 to 8.
  * Bump Standards-Version to 3.9.4.
  * Convert from python-support to dh-python.
  * Drop support for python2.6.
  * python-protobuf: switch back to the pure Python implementation, as
    upstream appears to no longer be maintaining the current C++ based Python
    binding. See the following upstream issues for details:
    - https://code.google.com/p/protobuf/issues/detail?id=434
    - https://code.google.com/p/protobuf/issues/detail?id=503

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 12 Oct 2013 18:32:37 -0400

protobuf (2.4.1-3ubuntu4) trusty; urgency=medium

  * Convert to dh-autoreconf to update libtool.m4 for new ports.


