=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: protobuf
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Iustin Pop <iustin@debian.org>
-Uploaders: Robert S. Edmonds <edmonds@debian.org>
-Build-Depends: debhelper (>= 7),
- python (>= 2.6.6-3~), python-dev (>= 2.6.6-3~),
+XSBC-Original-Maintainer: Robert S. Edmonds <edmonds@debian.org>
+Uploaders: Iustin Pop <iustin@debian.org>
+Build-Depends: dpkg-dev (>=1.16.1~), debhelper (>= 9),
+ g++ (>= 4:4.7),
+ python (>= 2.6.6-3~),
  python-setuptools (>= 0.6c9), xmlto, ant, zlib1g-dev,
- default-jdk, unzip, chrpath,
- maven-repo-helper
-Standards-Version: 3.9.2
-Homepage: http://code.google.com/p/protobuf/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/protobuf.git
-Vcs-Git: git://git.debian.org/git/collab-maint/protobuf.git
-X-Python-Version: >= 2.4
+ unzip, dh-python,
+ maven-repo-helper, dh-autoreconf
+Build-Depends-Indep: default-jdk
+Standards-Version: 3.9.5
+Homepage: https://code.google.com/p/protobuf/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/protobuf.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/protobuf.git
+X-Python-Version: >= 2.7
 
-Package: libprotobuf7
+Package: libprotobuf8
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: protocol buffers C++ library
@@ -33,8 +36,9 @@
  .
  This package contains the runtime library needed for C++ applications.
 
-Package: libprotobuf-lite7
+Package: libprotobuf-lite8
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: protocol buffers C++ library (lite version)
@@ -54,9 +58,10 @@
 
 Package: libprotobuf-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g-dev,
- libprotobuf7 (= ${binary:Version}), libprotobuf-lite7 (= ${binary:Version})
+ libprotobuf8 (= ${binary:Version}), libprotobuf-lite8 (= ${binary:Version})
 Description: protocol buffers C++ library (development files)
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -72,8 +77,9 @@
  This package contains the development headers and static libraries needed for
  writing C++ applications.
 
-Package: libprotoc7
+Package: libprotoc8
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: protocol buffers compiler library
@@ -93,9 +99,10 @@
 
 Package: libprotoc-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libprotoc7 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
+ libprotoc8 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
 Replaces: libprotobuf-dev (<< 2.1.0)
 Breaks: libprotobuf-dev (<< 2.1.0)
 Description: protocol buffers compiler library (development files)
@@ -115,7 +122,8 @@
 
 Package: protobuf-compiler
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc7 (= ${binary:Version})
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc8 (= ${binary:Version})
 Description: compiler for protocol buffer definition files
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -133,11 +141,9 @@
  binding for the supported languages.
 
 Package: python-protobuf
-Architecture: any
+Architecture: all
 Section: python
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Recommends: protobuf-compiler
+Depends: ${python:Depends}, ${misc:Depends}
 Description: Python bindings for protocol buffers
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -154,15 +160,10 @@
  need the protoc tool (in the protobuf-compiler package) to compile your
  definition to Python classes, and then the modules in this package will allow
  you to use those classes in your programs.
- .
- This package contains both the traditional Python-based
- implementation and the new C++-based one, and you can select at
- runtime between the two.
 
 Package: libprotobuf-java
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java5-runtime
-Recommends: protobuf-compiler
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: java
 Description: Java bindings for protocol buffers
  Protocol buffers are a flexible, efficient, automated mechanism for
