=== debian/rules ===
--- 
+++ 
@@ -16,15 +16,21 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-# DEB_BUILD_OPTIONS handling - is this really needed since dpkg-dev 1.14.17?
-# note that the strip option is handled directly by dh_strip
-CFLAGS = -Wall -g
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-    CFLAGS += -O0
-else
-    CFLAGS += -O2
+DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+CC  = gcc
+CXX = g++
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+  CC  := $(DEB_HOST_GNU_TYPE)-$(CC)
+  CXX := $(DEB_HOST_GNU_TYPE)-$(CXX)
 endif
+
+CFLAGS += -Wall
+CXXFLAGS += -Wall -fpermissive
 
 # Renesas SH(sh4) need -mieee option.
 # If this option is not effective, NaN test failed.
@@ -48,6 +54,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
+	dh_autoreconf
 	dh_auto_configure
 	touch configure-stamp
 
@@ -66,20 +73,6 @@
 	$(MAKE) $(PAROPTS) check
 endif
 
-	# python bindings
-	cd python && \
-	  PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp python setup.py build
-
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# run tests via pure-python
-	cd python && \
-	  PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=python python setup.py test
-	# run tests via the CPP implementation
-	cd python && \
-	  LD_LIBRARY_PATH="../src/.libs:$LD_LIBRARY_PATH" \
-	  PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp python setup.py test
-endif
-
 	# build the protoc manpage
 	xmlto man debian/protoc.xml
 
@@ -87,6 +80,13 @@
 
 build-indep: build-indep-stamp
 build-indep-stamp: build-arch-stamp
+
+	# python bindings
+	cd python && python setup.py build
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd python && python setup.py test
+endif
 
 	# java bindings
 	# this code mimics mvn package. This should be changed when maven is supported by debian.
@@ -112,6 +112,7 @@
 	# Java bindings cleanups
 	$(SHELL) /usr/bin/ant -f debian/java-build.xml clean || true
 
+	dh_autoreconf_clean
 	dh_clean
 	mh_clean
 
@@ -121,6 +122,16 @@
 	dh_testroot
 	dh_prep -i
 	dh_installdirs -i
+
+	# python bindings
+	cd python && \
+		python setup.py install --install-layout=deb --no-compile \
+			--root=$(CURDIR)/debian/python-protobuf
+	find $(CURDIR)/debian/python-protobuf -name 'protobuf-*-nspkg.pth' -print0 | \
+		xargs -r0 rm -f
+	find $(CURDIR)/debian/python-protobuf -name '*cpp*.py' -print0 | \
+		xargs -r0 rm -f
+
 
 	dh_install -i
 	mh_install
@@ -139,27 +150,15 @@
 
 	# convert doc dir to symlink for the dev packages
 	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
-	ln -s libprotobuf7 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
+	ln -s libprotobuf8 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
 	rm -rf $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
-	ln -s libprotoc7 $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
+	ln -s libprotoc8 $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
 
 	# remove compiler headers from libprotobuf-dev
 	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/include/google/protobuf/compiler
 
 	# remove .la files, as no other library depends on us
 	find $(CURDIR)/debian -name '*.la' -print0|xargs -r0 rm -f
-
-	# python bindings
-	cd python && PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp \
-	  python setup.py install --no-compile \
-	    --root=$(CURDIR)/debian/python-protobuf \
-	    --install-layout=deb ; \
-	  find $(CURDIR)/debian/python-protobuf \
-	    -name 'protobuf-*-nspkg.pth' -print0 | \
-	  xargs -r0 rm -f
-	# cleanup RPATH from built bindings
-	find $(CURDIR)/debian/python-protobuf -name '*.so' -print0 | \
-	  xargs -r0 chrpath -d
 
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep
@@ -175,7 +174,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_python2 --no-guessing-versions
+	dh_python2
 	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
