## protobuf 2.6.1

=== debian/changelog ===
protobuf (2.6.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable optimization on mips and mipsel so that the tests pass.
    To keep the g++-5 transition moving, optimization is completely
    disabled here; someone who knows better can be more selective
    later. (Mitigates: #796069)

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Aug 2015 21:37:58 +0100

protobuf (2.6.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Restore maintainer address.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Aug 2015 08:47:53 +0200

protobuf (2.6.1-1.1) unstable; urgency=medium

  * Non maintainer upload.
  * Rename libprotobuf-lite9 to libprotobuf-lite9v5, triggered by the libstdc++6
    ABI change. Addresses: #791246.
  * Rename libprotobuf9 to libprotobuf9v5.
  * Rename libprotoc9 to libprotoc9v5.
  * Add Conflicts/Replaces for the old libraries.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 20:33:36 +0200

protobuf (2.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Fri, 24 Oct 2014 13:55:53 -0400

protobuf (2.6.0-4) unstable; urgency=medium

  * Merge post-2.6.0 fixes that were merged upstream. In particular,
    protoc-generated code should now compile correctly when built with Clang.

 -- Robert Edmonds <edmonds@debian.org>  Mon, 22 Sep 2014 16:52:50 -0400

protobuf (2.6.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Robert S. Edmonds <edmonds@debian.org>  Thu, 11 Sep 2014 22:50:10 -0400

protobuf (2.6.0-2) experimental; urgency=medium

  * Compile the Java bindings only on architecture-independent builds.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 05 Sep 2014 19:32:39 -0400

protobuf (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Switch to dh sequencer in debian/rules.
  * Bump ABI version from 8 to 9.
  * Drop all patches from debian/patches/:
    - arm_optimization.diff
        (Appears to be no longer needed.)
    - disable-setuptools-download.diff
        (Disable ez_setup entirely, rather than disabling the downloader
        component inside ez_setup.)
    - fix-ftbfs-gcc4.7-kfreebsd.patch
        (Fixed upstream.)
    - fix-ftbfs-upstream-issue-488.patch
        (Fixed upstream.)
    - revert_upstream_issue_388_about_rpath.diff
        (Fixed upstream.)
  * Use dh-autoreconf. (Closes: #725976.)
  * Enable the new C++-based Python extension module shipped in 2.6.0.
    See /usr/share/doc/python-protobuf/README.Debian for details.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 02 Sep 2014 16:57:20 -0400
