=== debian/control ===
--- 
+++ 
@@ -1,27 +1,44 @@
 Source: protobuf
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert S. Edmonds <edmonds@debian.org>
+Maintainer: Robert Edmonds <edmonds@debian.org>
 Uploaders: Iustin Pop <iustin@debian.org>
-Build-Depends: dpkg-dev (>=1.16.1~), debhelper (>= 9),
- g++ (>= 4:4.7),
- python (>= 2.6.6-3~),
- python-setuptools (>= 0.6c9), xmlto, ant, zlib1g-dev,
- unzip, dh-python,
- maven-repo-helper, dh-autoreconf
-Build-Depends-Indep: default-jdk
+Build-Depends:
+# Debian build system
+ dpkg-dev (>= 1.16.1~)
+ , debhelper (>= 9)
+ , dh-autoreconf
+# C/C++
+ , g++ (>= 4:4.7)
+ , zlib1g-dev
+# Python
+ , dh-python
+ , python-all (>= 2.7)
+ , libpython-all-dev (>= 2.7)
+ , python-setuptools
+ , python-google-apputils
+# Manpage generator
+ , xmlto
+# Tests
+ , unzip
+Build-Depends-Indep:
+# Java
+ , ant
+ , default-jdk
+ , maven-repo-helper
 Standards-Version: 3.9.5
 Homepage: https://code.google.com/p/protobuf/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/protobuf.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/protobuf.git
 X-Python-Version: >= 2.7
 
-Package: libprotobuf8
+Package: libprotobuf9v5
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libprotobuf9
+Replaces: libprotobuf9
 Description: protocol buffers C++ library
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -36,11 +53,13 @@
  .
  This package contains the runtime library needed for C++ applications.
 
-Package: libprotobuf-lite8
+Package: libprotobuf-lite9v5
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libprotobuf-lite9
+Replaces: libprotobuf-lite9
 Description: protocol buffers C++ library (lite version)
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -60,8 +79,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g-dev,
- libprotobuf8 (= ${binary:Version}), libprotobuf-lite8 (= ${binary:Version})
+Depends: ${misc:Depends}, zlib1g-dev,
+ libprotobuf9v5 (= ${binary:Version}), libprotobuf-lite9v5 (= ${binary:Version})
 Description: protocol buffers C++ library (development files)
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -77,11 +96,13 @@
  This package contains the development headers and static libraries needed for
  writing C++ applications.
 
-Package: libprotoc8
+Package: libprotoc9v5
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libprotoc9
+Replaces: libprotoc9
 Description: protocol buffers compiler library
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -101,8 +122,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libprotoc8 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
+Depends: ${misc:Depends},
+ libprotoc9v5 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
 Replaces: libprotobuf-dev (<< 2.1.0)
 Breaks: libprotobuf-dev (<< 2.1.0)
 Description: protocol buffers compiler library (development files)
@@ -123,7 +144,7 @@
 Package: protobuf-compiler
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc8 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc9v5 (= ${binary:Version})
 Description: compiler for protocol buffer definition files
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -141,9 +162,9 @@
  binding for the supported languages.
 
 Package: python-protobuf
-Architecture: all
+Architecture: any
 Section: python
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 Description: Python bindings for protocol buffers
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -163,7 +184,7 @@
 
 Package: libprotobuf-java
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}
 Section: java
 Description: Java bindings for protocol buffers
  Protocol buffers are a flexible, efficient, automated mechanism for
